Name:           lxqt-desktop
Version:        1.0
Release:        3%{?dist}
Summary:        LXQt Desktop Wrapper Package

License:        GPLv2+
URL:            https://lxqt.org/

BuildArch:      noarch

Requires:       glib2
Requires:       lxqt-session
Requires:       lxqt-panel
Requires:       lxqt-config
Requires:       lxqt-policykit
Requires:       lxqt-qtplugin
Requires:       pcmanfm-qt
Requires:       lximage-qt
Requires:       lxqt-notificationd
Requires:       lxqt-archiver
Requires:       lxqt-themes
Requires:       lxqt-sudo
Requires:       lxqt-admin
Requires:       lxqt-about
Requires:       lxqt-openssh-askpass
Requires:       openbox
Requires:       sddm
Requires:       pavucontrol-qt
Requires:       xdg-desktop-portal-lxqt
Requires:       qterminal
Requires:       tigervnc-server
Requires:       xcb-util
Requires:       xcb-util-image
Requires:       xcb-util-keysyms
Requires:       xcb-util-renderutil
Requires:       xcb-util-wm
Requires:       xcb-util-cursor


%description
This package installs the LXQt desktop environment along with several essential packages, 
and sets up the VNC server to use LXQt with Openbox as the window manager.

%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/lxqt-desktop
cat > %{buildroot}%{_sysconfdir}/lxqt-desktop/xstartup << 'EOF'
#!/bin/sh
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
exec openbox-session &
exec startlxqt &
EOF
chmod +x %{buildroot}%{_sysconfdir}/lxqt-desktop/xstartup

%post
for userdir in /home/*; do
    mkdir -p "$userdir/.vnc"
    cp %{_sysconfdir}/lxqt-desktop/xstartup $userdir/.vnc/xstartup
    chmod 755 $userdir/.vnc/xstartup
    chown -R $(basename $userdir):$(basename $userdir) $userdir/.vnc
done

%files
%config(noreplace) %{_sysconfdir}/lxqt-desktop/xstartup

%changelog
* Mon Sep 23 2024 Yonghang Wang <wyhang@gmail.com> - 1.0-1
- Build for EPEL

